## org.eclipse.datatools.modelbase.sql.xml.query.util
Class SQLXMLQueryModelAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.datatools.modelbase.sql.xml.query.util.SQLXMLQueryModelAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory

    public class SQLXMLQueryModelAdapterFactory

extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `SQLXMLQueryModelPackage`

Constructor Summary
`SQLXMLQueryModelAdapterFactory()` Creates an instance of the adapter factory.

Method Summary
`org.eclipse.emf.common.notify.Adapter` `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`.
`org.eclipse.emf.common.notify.Adapter` `createEModelElementAdapter()` Creates a new adapter for an object of class '`EModel Element`'.
`org.eclipse.emf.common.notify.Adapter` `createENamedElementAdapter()` Creates a new adapter for an object of class '`ENamed Element`'.
`org.eclipse.emf.common.notify.Adapter` `createEObjectAdapter()` Creates a new adapter for the default case.
`org.eclipse.emf.common.notify.Adapter` `createPredicateAdapter()` Creates a new adapter for an object of class '`Predicate`'.
`org.eclipse.emf.common.notify.Adapter` `createQuerySearchConditionAdapter()` Creates a new adapter for an object of class '`Query Search Condition`'.
`org.eclipse.emf.common.notify.Adapter` `createQueryValueExpressionAdapter()` Creates a new adapter for an object of class '`Query Value Expression`'.
`org.eclipse.emf.common.notify.Adapter` `createSearchConditionAdapter()` Creates a new adapter for an object of class '`Search Condition`'.
`org.eclipse.emf.common.notify.Adapter` `createSQLObjectAdapter()` Creates a new adapter for an object of class '`SQL Object`'.
`org.eclipse.emf.common.notify.Adapter` `createSQLQueryObjectAdapter()` Creates a new adapter for an object of class '`SQL Query Object`'.
`org.eclipse.emf.common.notify.Adapter` `createTableExpressionAdapter()` Creates a new adapter for an object of class '`Table Expression`'.
`org.eclipse.emf.common.notify.Adapter` `createTableFunctionAdapter()` Creates a new adapter for an object of class '`Table Function`'.
`org.eclipse.emf.common.notify.Adapter` `createTableReferenceAdapter()` Creates a new adapter for an object of class '`Table Reference`'.
`org.eclipse.emf.common.notify.Adapter` `createValueExpressionAdapter()` Creates a new adapter for an object of class '`Value Expression`'.
`org.eclipse.emf.common.notify.Adapter` `createValueExpressionAtomicAdapter()` Creates a new adapter for an object of class '`Value Expression Atomic`'.
`org.eclipse.emf.common.notify.Adapter` `createValueExpressionCastAdapter()` Creates a new adapter for an object of class '`Value Expression Cast`'.
`org.eclipse.emf.common.notify.Adapter` `createValueExpressionFunctionAdapter()` Creates a new adapter for an object of class '`Value Expression Function`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLAggregateFunctionAdapter()` Creates a new adapter for an object of class '`XML Aggregate Function`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLAggregateSortSpecificationAdapter()` Creates a new adapter for an object of class '`XML Aggregate Sort Specification`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLAttributeDeclarationItemAdapter()` Creates a new adapter for an object of class '`XML Attribute Declaration Item`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLAttributesDeclarationAdapter()` Creates a new adapter for an object of class '`XML Attributes Declaration`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLNamespaceDeclarationDefaultAdapter()` Creates a new adapter for an object of class '`XML Namespace Declaration Default`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLNamespaceDeclarationItemAdapter()` Creates a new adapter for an object of class '`XML Namespace Declaration Item`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLNamespaceDeclarationPrefixAdapter()` Creates a new adapter for an object of class '`XML Namespace Declaration Prefix`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLNamespacesDeclarationAdapter()` Creates a new adapter for an object of class '`XML Namespaces Declaration`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLPredicateAdapter()` Creates a new adapter for an object of class '`XML Predicate`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLPredicateContentAdapter()` Creates a new adapter for an object of class '`XML Predicate Content`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLPredicateDocumentAdapter()` Creates a new adapter for an object of class '`XML Predicate Document`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLPredicateExistsAdapter()` Creates a new adapter for an object of class '`XML Predicate Exists`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLPredicateValidAdapter()` Creates a new adapter for an object of class '`XML Predicate Valid`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLQueryArgumentItemAdapter()` Creates a new adapter for an object of class '`XML Query Argument Item`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLQueryArgumentListAdapter()` Creates a new adapter for an object of class '`XML Query Argument List`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLQueryExpressionAdapter()` Creates a new adapter for an object of class '`XML Query Expression`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLSerializeFunctionAdapter()` Creates a new adapter for an object of class '`XML Serialize Function`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLSerializeFunctionEncodingAdapter()` Creates a new adapter for an object of class '`XML Serialize Function Encoding`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLSerializeFunctionTargetAdapter()` Creates a new adapter for an object of class '`XML Serialize Function Target`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLTableColumnDefinitionDefaultAdapter()` Creates a new adapter for an object of class '`XML Table Column Definition Default`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLTableColumnDefinitionItemAdapter()` Creates a new adapter for an object of class '`XML Table Column Definition Item`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLTableColumnDefinitionOrdinalityAdapter()` Creates a new adapter for an object of class '`XML Table Column Definition Ordinality`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLTableColumnDefinitionRegularAdapter()` Creates a new adapter for an object of class '`XML Table Column Definition Regular`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLTableFunctionAdapter()` Creates a new adapter for an object of class '`XML Table Function`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLValueExpressionCastAdapter()` Creates a new adapter for an object of class '`XML Value Expression Cast`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLValueFunctionAdapter()` Creates a new adapter for an object of class '`XML Value Function`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLValueFunctionCommentAdapter()` Creates a new adapter for an object of class '`XML Value Function Comment`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLValueFunctionCommentContentAdapter()` Creates a new adapter for an object of class '`XML Value Function Comment Content`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLValueFunctionConcatAdapter()` Creates a new adapter for an object of class '`XML Value Function Concat`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLValueFunctionConcatContentItemAdapter()` Creates a new adapter for an object of class '`XML Value Function Concat Content Item`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLValueFunctionDocumentAdapter()` Creates a new adapter for an object of class '`XML Value Function Document`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLValueFunctionDocumentContentAdapter()` Creates a new adapter for an object of class '`XML Value Function Document Content`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLValueFunctionElementAdapter()` Creates a new adapter for an object of class '`XML Value Function Element`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLValueFunctionElementContentItemAdapter()` Creates a new adapter for an object of class '`XML Value Function Element Content Item`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLValueFunctionElementContentListAdapter()` Creates a new adapter for an object of class '`XML Value Function Element Content List`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLValueFunctionForestAdapter()` Creates a new adapter for an object of class '`XML Value Function Forest`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLValueFunctionForestContentItemAdapter()` Creates a new adapter for an object of class '`XML Value Function Forest Content Item`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLValueFunctionParseAdapter()` Creates a new adapter for an object of class '`XML Value Function Parse`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLValueFunctionParseContentAdapter()` Creates a new adapter for an object of class '`XML Value Function Parse Content`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLValueFunctionPIAdapter()` Creates a new adapter for an object of class '`XML Value Function PI`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLValueFunctionPIContentAdapter()` Creates a new adapter for an object of class '`XML Value Function PI Content`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLValueFunctionQueryAdapter()` Creates a new adapter for an object of class '`XML Value Function Query`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLValueFunctionQueryReturningAdapter()` Creates a new adapter for an object of class '`XML Value Function Query Returning`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLValueFunctionTextAdapter()` Creates a new adapter for an object of class '`XML Value Function Text`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLValueFunctionTextContentAdapter()` Creates a new adapter for an object of class '`XML Value Function Text Content`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLValueFunctionValidateAccordingToAdapter()` Creates a new adapter for an object of class '`XML Value Function Validate According To`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLValueFunctionValidateAccordingToIdentifierAdapter()` Creates a new adapter for an object of class '`XML Value Function Validate According To Identifier`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLValueFunctionValidateAccordingToURIAdapter()` Creates a new adapter for an object of class '`XML Value Function Validate According To URI`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLValueFunctionValidateAdapter()` Creates a new adapter for an object of class '`XML Value Function Validate`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLValueFunctionValidateContentAdapter()` Creates a new adapter for an object of class '`XML Value Function Validate Content`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLValueFunctionValidateElementAdapter()` Creates a new adapter for an object of class '`XML Value Function Validate Element`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLValueFunctionValidateElementNameAdapter()` Creates a new adapter for an object of class '`XML Value Function Validate Element Name`'.
`org.eclipse.emf.common.notify.Adapter` `createXMLValueFunctionValidateElementNamespaceAdapter()` Creates a new adapter for an object of class '`XML Value Function Validate Element Namespace`'.
`boolean` `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLXMLQueryModelAdapterFactory

    public SQLXMLQueryModelAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createXMLValueFunctionConcatAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLValueFunctionConcatAdapter()

  Creates a new adapter for an object of class '`XML Value Function Concat`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionConcat`

### createXMLValueFunctionAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLValueFunctionAdapter()

  Creates a new adapter for an object of class '`XML Value Function`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunction`

### createXMLNamespaceDeclarationPrefixAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLNamespaceDeclarationPrefixAdapter()

  Creates a new adapter for an object of class '`XML Namespace Declaration Prefix`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLNamespaceDeclarationPrefix`

### createXMLNamespaceDeclarationDefaultAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLNamespaceDeclarationDefaultAdapter()

  Creates a new adapter for an object of class '`XML Namespace Declaration Default`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLNamespaceDeclarationDefault`

### createXMLAttributeDeclarationItemAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLAttributeDeclarationItemAdapter()

  Creates a new adapter for an object of class '`XML Attribute Declaration Item`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLAttributeDeclarationItem`

### createXMLValueFunctionElementAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLValueFunctionElementAdapter()

  Creates a new adapter for an object of class '`XML Value Function Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionElement`

### createXMLNamespaceDeclarationItemAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLNamespaceDeclarationItemAdapter()

  Creates a new adapter for an object of class '`XML Namespace Declaration Item`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLNamespaceDeclarationItem`

### createXMLValueFunctionElementContentItemAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLValueFunctionElementContentItemAdapter()

  Creates a new adapter for an object of class '`XML Value Function Element Content Item`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionElementContentItem`

### createXMLValueFunctionForestAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLValueFunctionForestAdapter()

  Creates a new adapter for an object of class '`XML Value Function Forest`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionForest`

### createXMLValueFunctionCommentAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLValueFunctionCommentAdapter()

  Creates a new adapter for an object of class '`XML Value Function Comment`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionComment`

### createXMLValueFunctionDocumentAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLValueFunctionDocumentAdapter()

  Creates a new adapter for an object of class '`XML Value Function Document`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionDocument`

### createXMLValueFunctionParseAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLValueFunctionParseAdapter()

  Creates a new adapter for an object of class '`XML Value Function Parse`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionParse`

### createXMLValueFunctionPIAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLValueFunctionPIAdapter()

  Creates a new adapter for an object of class '`XML Value Function PI`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionPI`

### createXMLValueFunctionQueryAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLValueFunctionQueryAdapter()

  Creates a new adapter for an object of class '`XML Value Function Query`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionQuery`

### createXMLValueFunctionTextAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLValueFunctionTextAdapter()

  Creates a new adapter for an object of class '`XML Value Function Text`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionText`

### createXMLValueFunctionValidateAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLValueFunctionValidateAdapter()

  Creates a new adapter for an object of class '`XML Value Function Validate`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionValidate`

### createXMLValueExpressionCastAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLValueExpressionCastAdapter()

  Creates a new adapter for an object of class '`XML Value Expression Cast`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueExpressionCast`

### createXMLPredicateAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLPredicateAdapter()

  Creates a new adapter for an object of class '`XML Predicate`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLPredicate`

### createXMLPredicateContentAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLPredicateContentAdapter()

  Creates a new adapter for an object of class '`XML Predicate Content`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLPredicateContent`

### createXMLPredicateDocumentAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLPredicateDocumentAdapter()

  Creates a new adapter for an object of class '`XML Predicate Document`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLPredicateDocument`

### createXMLPredicateExistsAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLPredicateExistsAdapter()

  Creates a new adapter for an object of class '`XML Predicate Exists`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLPredicateExists`

### createXMLPredicateValidAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLPredicateValidAdapter()

  Creates a new adapter for an object of class '`XML Predicate Valid`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLPredicateValid`

### createXMLQueryExpressionAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLQueryExpressionAdapter()

  Creates a new adapter for an object of class '`XML Query Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLQueryExpression`

### createXMLQueryArgumentListAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLQueryArgumentListAdapter()

  Creates a new adapter for an object of class '`XML Query Argument List`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLQueryArgumentList`

### createXMLQueryArgumentItemAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLQueryArgumentItemAdapter()

  Creates a new adapter for an object of class '`XML Query Argument Item`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLQueryArgumentItem`

### createXMLSerializeFunctionAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLSerializeFunctionAdapter()

  Creates a new adapter for an object of class '`XML Serialize Function`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLSerializeFunction`

### createXMLSerializeFunctionTargetAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLSerializeFunctionTargetAdapter()

  Creates a new adapter for an object of class '`XML Serialize Function Target`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLSerializeFunctionTarget`

### createXMLAggregateFunctionAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLAggregateFunctionAdapter()

  Creates a new adapter for an object of class '`XML Aggregate Function`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLAggregateFunction`

### createXMLValueFunctionConcatContentItemAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLValueFunctionConcatContentItemAdapter()

  Creates a new adapter for an object of class '`XML Value Function Concat Content Item`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionConcatContentItem`

### createXMLValueFunctionCommentContentAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLValueFunctionCommentContentAdapter()

  Creates a new adapter for an object of class '`XML Value Function Comment Content`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionCommentContent`

### createXMLValueFunctionDocumentContentAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLValueFunctionDocumentContentAdapter()

  Creates a new adapter for an object of class '`XML Value Function Document Content`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionDocumentContent`

### createXMLAggregateSortSpecificationAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLAggregateSortSpecificationAdapter()

  Creates a new adapter for an object of class '`XML Aggregate Sort Specification`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLAggregateSortSpecification`

### createXMLValueFunctionForestContentItemAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLValueFunctionForestContentItemAdapter()

  Creates a new adapter for an object of class '`XML Value Function Forest Content Item`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionForestContentItem`

### createXMLValueFunctionParseContentAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLValueFunctionParseContentAdapter()

  Creates a new adapter for an object of class '`XML Value Function Parse Content`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionParseContent`

### createXMLValueFunctionPIContentAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLValueFunctionPIContentAdapter()

  Creates a new adapter for an object of class '`XML Value Function PI Content`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionPIContent`

### createXMLTableFunctionAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLTableFunctionAdapter()

  Creates a new adapter for an object of class '`XML Table Function`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLTableFunction`

### createXMLValueFunctionTextContentAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLValueFunctionTextContentAdapter()

  Creates a new adapter for an object of class '`XML Value Function Text Content`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionTextContent`

### createXMLValueFunctionValidateContentAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLValueFunctionValidateContentAdapter()

  Creates a new adapter for an object of class '`XML Value Function Validate Content`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionValidateContent`

### createXMLTableColumnDefinitionItemAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLTableColumnDefinitionItemAdapter()

  Creates a new adapter for an object of class '`XML Table Column Definition Item`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLTableColumnDefinitionItem`

### createXMLTableColumnDefinitionRegularAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLTableColumnDefinitionRegularAdapter()

  Creates a new adapter for an object of class '`XML Table Column Definition Regular`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLTableColumnDefinitionRegular`

### createXMLTableColumnDefinitionOrdinalityAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLTableColumnDefinitionOrdinalityAdapter()

  Creates a new adapter for an object of class '`XML Table Column Definition Ordinality`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLTableColumnDefinitionOrdinality`

### createXMLValueFunctionValidateAccordingToAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLValueFunctionValidateAccordingToAdapter()

  Creates a new adapter for an object of class '`XML Value Function Validate According To`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionValidateAccordingTo`

### createXMLValueFunctionValidateAccordingToURIAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLValueFunctionValidateAccordingToURIAdapter()

  Creates a new adapter for an object of class '`XML Value Function Validate According To URI`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionValidateAccordingToURI`

### createXMLValueFunctionValidateAccordingToIdentifierAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLValueFunctionValidateAccordingToIdentifierAdapter()

  Creates a new adapter for an object of class '`XML Value Function Validate According To Identifier`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionValidateAccordingToIdentifier`

### createXMLValueFunctionValidateElementNameAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLValueFunctionValidateElementNameAdapter()

  Creates a new adapter for an object of class '`XML Value Function Validate Element Name`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionValidateElementName`

### createXMLValueFunctionValidateElementNamespaceAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLValueFunctionValidateElementNamespaceAdapter()

  Creates a new adapter for an object of class '`XML Value Function Validate Element Namespace`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionValidateElementNamespace`

### createXMLNamespacesDeclarationAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLNamespacesDeclarationAdapter()

  Creates a new adapter for an object of class '`XML Namespaces Declaration`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLNamespacesDeclaration`

### createXMLAttributesDeclarationAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLAttributesDeclarationAdapter()

  Creates a new adapter for an object of class '`XML Attributes Declaration`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLAttributesDeclaration`

### createXMLValueFunctionElementContentListAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLValueFunctionElementContentListAdapter()

  Creates a new adapter for an object of class '`XML Value Function Element Content List`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionElementContentList`

### createXMLValueFunctionQueryReturningAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLValueFunctionQueryReturningAdapter()

  Creates a new adapter for an object of class '`XML Value Function Query Returning`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionQueryReturning`

### createXMLValueFunctionValidateElementAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLValueFunctionValidateElementAdapter()

  Creates a new adapter for an object of class '`XML Value Function Validate Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionValidateElement`

### createXMLTableColumnDefinitionDefaultAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLTableColumnDefinitionDefaultAdapter()

  Creates a new adapter for an object of class '`XML Table Column Definition Default`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLTableColumnDefinitionDefault`

### createXMLSerializeFunctionEncodingAdapter

    public org.eclipse.emf.common.notify.Adapter createXMLSerializeFunctionEncodingAdapter()

  Creates a new adapter for an object of class '`XML Serialize Function Encoding`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLSerializeFunctionEncoding`

### createEModelElementAdapter

    public org.eclipse.emf.common.notify.Adapter createEModelElementAdapter()

  Creates a new adapter for an object of class '`EModel Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EModelElement`

### createENamedElementAdapter

    public org.eclipse.emf.common.notify.Adapter createENamedElementAdapter()

  Creates a new adapter for an object of class '`ENamed Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ENamedElement`

### createSQLObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createSQLObjectAdapter()

  Creates a new adapter for an object of class '`SQL Object`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SQLObject`

### createSQLQueryObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createSQLQueryObjectAdapter()

  Creates a new adapter for an object of class '`SQL Query Object`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SQLQueryObject`

### createValueExpressionAdapter

    public org.eclipse.emf.common.notify.Adapter createValueExpressionAdapter()

  Creates a new adapter for an object of class '`Value Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpression`

### createQueryValueExpressionAdapter

    public org.eclipse.emf.common.notify.Adapter createQueryValueExpressionAdapter()

  Creates a new adapter for an object of class '`Query Value Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `QueryValueExpression`

### createValueExpressionAtomicAdapter

    public org.eclipse.emf.common.notify.Adapter createValueExpressionAtomicAdapter()

  Creates a new adapter for an object of class '`Value Expression Atomic`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpressionAtomic`

### createValueExpressionFunctionAdapter

    public org.eclipse.emf.common.notify.Adapter createValueExpressionFunctionAdapter()

  Creates a new adapter for an object of class '`Value Expression Function`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpressionFunction`

### createValueExpressionCastAdapter

    public org.eclipse.emf.common.notify.Adapter createValueExpressionCastAdapter()

  Creates a new adapter for an object of class '`Value Expression Cast`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpressionCast`

### createSearchConditionAdapter

    public org.eclipse.emf.common.notify.Adapter createSearchConditionAdapter()

  Creates a new adapter for an object of class '`Search Condition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SearchCondition`

### createQuerySearchConditionAdapter

    public org.eclipse.emf.common.notify.Adapter createQuerySearchConditionAdapter()

  Creates a new adapter for an object of class '`Query Search Condition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `QuerySearchCondition`

### createPredicateAdapter

    public org.eclipse.emf.common.notify.Adapter createPredicateAdapter()

  Creates a new adapter for an object of class '`Predicate`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Predicate`

### createTableReferenceAdapter

    public org.eclipse.emf.common.notify.Adapter createTableReferenceAdapter()

  Creates a new adapter for an object of class '`Table Reference`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TableReference`

### createTableExpressionAdapter

    public org.eclipse.emf.common.notify.Adapter createTableExpressionAdapter()

  Creates a new adapter for an object of class '`Table Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TableExpression`

### createTableFunctionAdapter

    public org.eclipse.emf.common.notify.Adapter createTableFunctionAdapter()

  Creates a new adapter for an object of class '`Table Function`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TableFunction`

### createEObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.